USB for Windows NT 4.0 Online Documentation

Introduction

Welcome to the online documentation for USB for Windows NT 4.0 Version 1.2.

USB for Windows NT 4.0 is designed to get your USB mouse, printer, keyboard, Pocket PC cradle or hub working on Windows NT 4.0. This help file includes information on installing and uninstalling USB devices, specific information on installing USB printers, and a comprehensive Frequently Asked Questions section.

Select any of the links below to learn more about using USB for Windows NT 4.0.

How to Install/Uninstall

USB Printer Installation

Frequently Asked Questions

Company Description


USB for Windows NT 4.0 Online Documentation

Installation

To install your USB device using USB for Windows NT 4.0:

  1. Install the USB for Windows NT 4.0 software (you must have administrator rights).

  2. Reboot your NT 4.0 machine.

  3. Plug your USB peripheral (mouse, keyboard, printer and Pocket PC cradle) into the USB plug on the back of your computer. You can also plug a USB hub into your computer and the peripherals into the hub, if desired.

USB keyboards and mice are now ready to use. For USB printers, see USB Printer Installation.

To Uninstall USB for Windows NT 4.0:

To uninstall USB for Windows NT 4.0:

  1. Navigate to Start | Settings | Add/Remove Programs.

  2. Choose USB for NT 4.0 and select OK.

When you are done uninstalling the product, you will need to reboot the system.


USB for Windows NT 4.0 Online Documentation

USB Printer Installation

To install a USB printer:

  1. Follow the instructions in the previous Installation topic for installing a USB device.

  2. From the Start menu, select Printer Manager and navigate to Start | Settings | Printer.

  3. Start the Add Printer Wizard by double-clicking on the Add Printer icon. The Add Printer Wizard leads you through the process for setting up and configuring your specific USB printer.


USB for Windows NT 4.0 Online Documentation

Frequently Asked Questions

Why must I have administrative rights to install the USB for Windows NT 4.0 product?

Windows NT 4.0 security requires administrative rights to install any kernel device driver.

How do I get administrative rights?

Log into your computer as an administrator. If you do not know the administrator password, you will need to check with your network administrator.

What port is my USB printer connected to?

When you plug in your USB printer, it creates a printer port on your computer. The first USB printer plugged into your computer will create a port named USB0. The second USB printer will create a port named USB1, etc. This is the printer port you must select for your printer.

What if my printer is not on the list of supported printers?

Your printer may not be on the list of supported printers. However, your printer most likely came with an installation CD containing NT 4.0 software for your printer. In the Add Printer Wizard, select the Have Disk button and browse to find your installation CD.

If your printer did not come with an installation CD, contact the printer manufacturer for the latest printer drivers. These drivers usually are also on the printer manufacturer's Web sites. Make sure that you select the exact printer model from the Web site options for printer driver downloads.

The documentation for my printer says that it only works on Windows 95, Windows 98 and/or Windows 2000. How do I get Windows NT to recognize my printer?

Many printer manufacturers use the same or similar print engine in different printer models. If your specific model of printer does not have an NT 4.0 printer driver, you may be able to use an NT 4.0 driver from a different model of printer built by the same manufacturer. You will need to install this NT 4.0 printer driver and then test it with your USB printer. The BSQUARE package supplies the missing USB support these printer drivers need.

What do I do if the test page does not print?

Following are some common problems that may cause your printer to fail to print a test page:

  1. The printer may not be turned on or out of paper.

  2. The printer may not be connected to the right port. To check which port the printer is connected to, open the Printers folder by selecting Start | Settings | Printers on the Start menu. Right-click on the icon for your printer and select Properties. Finally, select the Port tab in the property pages and make sure that the correct USB port is checked (such as USB0).

  3. The wrong printer driver for your printer may be in use. Try using a different printer driver.

What hardware does USB for Windows NT 4.0 support?

USB for NT 4.0 supports USB keyboards, mice, printers, Pocket PC cradles, and hubs only.

What should I do if my USB device is not supported by USB for Windows NT 4.0?

You can contact the manufacturer of the device and request that they contact BSQUARE and purchase the WinDK USB Extension developers toolkit. This toolkit allows the creation of client USB drivers that operate on Windows NT 4.0, Windows 2000, Windows 98 and Windows NT Embedded.

What hardware is not supported by USB for Windows NT 4.0?

USB for Windows NT 4.0 does not support joysticks, scanners, cameras, pool cues, charging stations, or any other USB device. USB for Windows NT 4.0 only supports keyboards, mice, printers, Pocket PC cradles and hubs.

Why won't my USB Camera/Joystick/Scanner/Charging Station work? I thought USB for Windows NT 4.0 added USB support to Windows NT.

USB for Windows NT 4.0 only adds support for USB keyboards, mice, printers, Pocket PC cradles and hubs.

I have a machine set up to dual-boot Windows NT and Windows 98. I can't use my USB keyboard to select which operating system to boot into.

At this point in the boot process, neither Windows NT or Windows 98 have started. Your computer's BIOS must provide the USB support to switch between operating systems. Your BIOS will only provide this support if your USB keyboard is plugged into a USB port on your computer (i.e. you cannot have the keyboard connected through a USB hub). The BIOS will not provide support for add-in USB cards.

Why does ActiveSync show USB as being disabled?

When ActiveSync detects Windows NT, it automatically states that USB is disabled. USB for Windows NT 4.0 creates a new COM port at COM5 or higher


USB for Windows NT 4.0 Online Documentation

BSQUARE Contact Information

BSQUARE is the world leader in delivering innovative software products, services, and turnkey design solutions to enable developers and integrators to rapidly create, deploy, and use intelligent computing devices (ICDs). From operating systems to remote management software to quality assurance tools, BSQUARE's touch is on many computing devices in the market today. Among other things, we provide software for embedded devices, development tools, wireless solutions, and development services.

BSQUARE Corporation

3150 139th Avenue S.E.; 5th Floor

Bellevue, Washington 98005

Phone: (425) 519-5900

Fax: (425) 519-5999

www.bsquare.com